// import { commonApi } from '@services'

export default class GlobalVariable {
  constructor (Vue, obj) {
    this._init(Vue, obj)
  }
  /* 初始化函数，传入整个Vue对象 */
  _init (Vue, obj) {
    this.setInitSiderbarVar(Vue, obj)
  }
  /**
   * 定义siderbar 初始变量
   * 目的：刷新页面时，定位siderbar位置
   */
  setInitSiderbarVar (Vue, obj) {
    let _$ = Vue.prototype.$GlobalVariable
    if ((!_$['siderbar']) && /^\/app\//g.test(obj.to.path)) {
      _$['siderbar'] = {
        defaultPath: (obj && obj.to && obj.to.path) || ''
      }
    }
  }
}
